# Generated by Django 3.2.20 on 2023-10-11 17:45

from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_post_deployment = True

    dependencies = [
        ("sentry", "0572_sentry_remove_unused_eventuser_index"),
    ]

    operations = [
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["project", "first_release"], name="sentry_grou_project_4662d9_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(fields=["project", "id"], name="sentry_grou_project_41a5ce_idx"),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["project", "status", "last_seen", "id"],
                name="sentry_grou_project_81a5ed_idx",
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["project", "status", "type", "last_seen", "id"],
                name="sentry_grou_project_17d28d_idx",
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["project", "status", "substatus", "last_seen", "id"],
                name="sentry_grou_project_5eb75b_idx",
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["project", "status", "substatus", "type", "last_seen", "id"],
                name="sentry_grou_project_ff3fdf_idx",
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["project", "status", "substatus", "id"],
                name="sentry_grou_project_5acaf7_idx",
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["status", "substatus", "id"], name="sentry_grou_status_48b516_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="group",
            index=models.Index(
                fields=["status", "substatus", "first_seen"], name="sentry_grou_status_e07f40_idx"
            ),
        ),
    ]
