# Generated by Django 5.0.8 on 2024-09-04 23:31

from django.db import migrations, models

import sentry.db.models.fields.array
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production.
    # This should only be used for operations where it's safe to run the migration after your
    # code has deployed. So this should not be used for most operations that alter the schema
    # of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually so that they can be
    #   monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   run this outside deployments so that we don't block them. Note that while adding an index
    #   is a schema change, it's completely safe to run the operation after the code has deployed.
    # Once deployed, run these manually via: https://develop.sentry.dev/database-migrations/#migration-deployment

    is_post_deployment = False

    allow_run_sql = True

    dependencies = [
        ("sentry", "0756_grouprelease_represented_in_django"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    """
                    ALTER TABLE "sentry_apiapplication"
                    ADD COLUMN "scopes" TEXT[] NULL,
                    ADD COLUMN "requires_org_level_access" BOOLEAN DEFAULT FALSE;
                    """,
                    reverse_sql="""
                    ALTER TABLE "sentry_apiapplication"
                    DROP COLUMN "scopes",
                    DROP COLUMN "requires_org_level_access"
                    """,
                    hints={"tables": ["sentry_apiapplication"]},
                ),
            ],
            state_operations=[
                migrations.AddField(
                    model_name="apiapplication",
                    name="requires_org_level_access",
                    field=models.BooleanField(default=False),
                ),
                migrations.AddField(
                    model_name="apiapplication",
                    name="scopes",
                    field=sentry.db.models.fields.array.ArrayField(null=True),
                ),
            ],
        )
    ]
