# Generated by Django 5.1.1 on 2024-09-12 20:45

from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production.
    # This should only be used for operations where it's safe to run the migration after your
    # code has deployed. So this should not be used for most operations that alter the schema
    # of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually so that they can be
    #   monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   run this outside deployments so that we don't block them. Note that while adding an index
    #   is a schema change, it's completely safe to run the operation after the code has deployed.
    # Once deployed, run these manually via: https://develop.sentry.dev/database-migrations/#migration-deployment

    is_post_deployment = True

    dependencies = [
        ("sentry", "0760_remove_appstore_connect_integration_tables"),
    ]

    operations = [
        migrations.AddConstraint(
            model_name="group",
            constraint=models.CheckConstraint(
                condition=models.Q(
                    models.Q(("status", 2), ("substatus__in", {1, 4, 5})),
                    models.Q(("status", 0), ("substatus__in", {2, 3, 6, 7})),
                    models.Q(("status__in", {1, 3, 4, 5, 6}), ("substatus__isnull", True)),
                    _connector="OR",
                ),
                name="substatus_is_valid_for_status",
            ),
        ),
    ]
