# Generated by Django 5.1.1 on 2024-09-16 23:56
from django.db import migrations, models

import sentry.db.models.fields.jsonfield
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production.
    # This should only be used for operations where it's safe to run the migration after your
    # code has deployed. So this should not be used for most operations that alter the schema
    # of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually so that they can be
    #   monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   run this outside deployments so that we don't block them. Note that while adding an index
    #   is a schema change, it's completely safe to run the operation after the code has deployed.
    # Once deployed, run these manually via: https://develop.sentry.dev/database-migrations/#migration-deployment

    is_post_deployment = False

    allow_run_sql = True

    dependencies = [
        ("uptime", "0011_remove_uptime_whois_columns_db"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    """ALTER TABLE "uptime_uptimesubscription" ADD COLUMN "body" text NULL;""",
                    reverse_sql="""ALTER TABLE "uptime_uptimesubscription" DROP COLUMN "body";""",
                    hints={"tables": ["uptime_uptimesubscription"]},
                ),
                migrations.RunSQL(
                    """ALTER TABLE "uptime_uptimesubscription" ADD COLUMN "headers" text DEFAULT '{}' NOT NULL;""",
                    reverse_sql="""ALTER TABLE "uptime_uptimesubscription" DROP COLUMN "headers";""",
                    hints={"tables": ["uptime_uptimesubscription"]},
                ),
                migrations.RunSQL(
                    """ALTER TABLE "uptime_uptimesubscription" ADD COLUMN "method" varchar(20) DEFAULT 'GET' NOT NULL;""",
                    reverse_sql="""ALTER TABLE "uptime_uptimesubscription" DROP COLUMN "method";""",
                    hints={"tables": ["uptime_uptimesubscription"]},
                ),
            ],
            state_operations=[
                migrations.AddField(
                    model_name="uptimesubscription",
                    name="body",
                    field=models.TextField(null=True),
                ),
                migrations.AddField(
                    model_name="uptimesubscription",
                    name="headers",
                    field=sentry.db.models.fields.jsonfield.JSONField(db_default={}, default=dict),
                ),
                migrations.AddField(
                    model_name="uptimesubscription",
                    name="method",
                    field=models.CharField(db_default="GET", max_length=20),
                ),
            ],
        )
    ]
