# Generated by Django 5.1.1 on 2024-10-18 23:09

import django.db.models.functions.comparison
from django.db import migrations, models

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production.
    # This should only be used for operations where it's safe to run the migration after your
    # code has deployed. So this should not be used for most operations that alter the schema
    # of a table.
    # Here are some things that make sense to mark as post deployment:
    # - Large data migrations. Typically we want these to be run manually so that they can be
    #   monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   run this outside deployments so that we don't block them. Note that while adding an index
    #   is a schema change, it's completely safe to run the operation after the code has deployed.
    # Once deployed, run these manually via: https://develop.sentry.dev/database-migrations/#migration-deployment

    is_post_deployment = False

    allow_run_sql = True

    dependencies = [
        ("workflow_engine", "0009_detector_type"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.RunSQL(
                    """DROP INDEX CONCURRENTLY IF EXISTS "detector_state_unique_group_key";"""
                ),
                migrations.RunSQL(
                    """CREATE UNIQUE INDEX CONCURRENTLY IF NOT EXISTS "detector_state_unique_group_key"
                    ON "workflow_engine_detectorstate" ("detector_id", (COALESCE("detector_group_key", '')))"""
                ),
            ],
            state_operations=[
                migrations.AddConstraint(
                    model_name="detectorstate",
                    constraint=models.UniqueConstraint(
                        models.F("detector"),
                        django.db.models.functions.comparison.Coalesce(
                            "detector_group_key", models.Value("")
                        ),
                        name="detector_state_unique_group_key",
                    ),
                ),
            ],
        ),
    ]
